#include <gtk/gtk.h>
#include "level.h"
#include "window.h"


int main(int argc, char *argv[]) {
  VERTEX vertices[4] = {{-1.1,-1}, {-1,-1.1}, {1.1,1}, {1,1.1}};
  ROOM room = {sizeof(vertices)/sizeof(vertices[0]), vertices};
  LEVEL lvl = {1, &room};
  GtkWidget *window;
  
  gtk_init(&argc, &argv);
  
  window = createMainWindow();
  
  setLevel(&lvl);
  
  gtk_widget_show(window);
  
  gtk_main();
  
  return 0;
}
